#include "godialog.h"
#include "ui_godialog.h"
#include "azeq6.h"

GoDialog::GoDialog(Azeq6 *w, QWidget *parent) :
    QDialog(parent),
    ui(new Ui::GoDialog)
{
    ui->setupUi(this);
    papa = w;
    init();
}

GoDialog::~GoDialog()
{
    delete ui;
}

void GoDialog::init()
{
    ui->doubleSpinBoxAzimut->setValue(papa->sigma[0]);
    ui->doubleSpinBoxLatitude->setValue(papa->sigma[1]);
    ui->doubleSpinBoxAngHo->setValue(papa->sigma[2]);
    ui->doubleSpinBoxDecli->setValue(papa->sigma[3]);
}

void GoDialog::on_buttonBox_accepted()
{
    papa->sigEnd[0] = ui->doubleSpinBoxAzimut->value();
    papa->sigEnd[1] = ui->doubleSpinBoxLatitude->value();
    papa->sigEnd[2] = ui->doubleSpinBoxAngHo->value();
    papa->sigEnd[3] = ui->doubleSpinBoxDecli->value();
}

void GoDialog::on_buttonBox_rejected()
{
    init();
}
