#ifndef CAISSE_H
#define CAISSE_H
#include "visusim.h"

class Caisse : public SimScene
{
public:
    Caisse();
    void redraw(void);
    void create();
    void setConfig(double *data);
    bool keyConfig(int key, bool majuscule);

private:
    /*----------------------------------------------------------------------------------*/
    /* Description des objets dessinés (Dysplays Lists OpenGL)                          */
    /*----------------------------------------------------------------------------------*/
    int dimConf;
    GLuint DL_Engin;
    GLuint DL_Terrain;
    double OA[3]; // X,Y,Z
    double Carol[3] ; // Les angles Cap, assiette roulis en degrés
    bool poscarNok;
    double sitOA44[16];
};

#endif // CAISSE_H
