#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "caisse\caisse.h"
#include "tetragyre\tetragyre.h"
#include "rubik\rubik.h"
#include "sacso\sacso.h"
#include "azeq6\azeq6.h"
#include "robman\robman.h"
#include "pleiade\pleiadegl.h"
#include "glterre\glterre.h"
#include "texcube\texcube.h"


MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pushButton_Caisse_clicked()
{
        Caisse *caisse = new Caisse();
        caisse->show();
}

void MainWindow::on_pushButton_RV80_1_clicked()
{
    Robman *rv80_1 = new Robman();
    rv80_1->show();
}

void MainWindow::on_pushButton_Sacso1_clicked()
{
    Sacso *saxo1 = new Sacso();
    saxo1->show();
}

void MainWindow::on_pushButton_Tetragyre_clicked()
{
    Tetragyre *tetra = new Tetragyre();
    tetra->show();
}

void MainWindow::on_pushButton_Pleiade_clicked()
{
    GlPleiade *sat = new GlPleiade();
    sat->show();
}

void MainWindow::on_pushButton_Terre_clicked()
{
    GlTerre *simple = new GlTerre(":/images/Earth.jpg");
    simple->show();
}

void MainWindow::on_pushButton_TexCube_clicked()
{
    TexCube *tcub = new TexCube();
    tcub->show();
}

void MainWindow::on_pushButton_Rubik_clicked()
{
    Rubik *cube = new Rubik();
    cube->show();
}

void MainWindow::on_pushButton_clicked()
{
    Azeq6 *telescope = new Azeq6();
    telescope->show();
}

void MainWindow::on_pushButton_Mars_clicked()
{
    GlTerre *simple = new GlTerre(":/images/mars.jpg");
    simple->show();
}
