#ifndef MLLGLUTIL_H
#define MLLGLUTIL_H
#include <GL/gl.h>

#  ifdef __cplusplus
extern "C" {
#  endif

/* Transformation dist, azi, sit -> xyz  */
void majsol(GLfloat *xyz, double dist, double azi, double sit);

/*-------------------------------------------------------------------------------
    Active la lumiere numero GL_LIGHT# en position pos_lumiere[4 GLfloats]
--------------------------------------------------------------------------------*/
void mlSetLight(GLuint numLight, GLfloat *pos_lumiere);


/*---------------------------------------------------------------------------*/
/* Utilitaire conversion xyz, cap, assiette, roulis -> Situation OpenGL m44  */
/*---------------------------------------------------------------------------*/
double *posEtcarol2mat44(double *m44, double *pos, double *carol);

/*----------------------------------------------------------------------------------*/
/* Utilitaire conversion xyz et m33 -> Situation OpenGL  m44                        */
/*----------------------------------------------------------------------------------*/
double *posEtmat2GLmat44(double *m44, double *pos, double *mat);


#  ifdef __cplusplus
        }
#  endif
#endif // MLLGLUTIL_H
