#ifndef ROBMAN_H
#define ROBMAN_H
#include "visusim.h"
#include "georobot.h"

class Robman : public SimScene
{
public:
    Robman();
    ~Robman() {free(rv80); glDeleteLists(DL_Corps,8); }

    void redraw(void);
    void create();
    void setConfig(double *data);
    bool keyConfig(int key, bool majuscule);
//    bool keyObserver(int, bool);

private:
    QFont font;
    void AffichStr(int x, int y, char *string );
//    bool solOrCam;

    UnRobot *rv80;
    double ltr[3];
    double Ang[7];
    int AngleSel;
    double dqlim; /* variation angulaire limite par pas */
    int okinv;

    GLuint DL_Corps ;

    GLdouble AziSol, SitSol, DistSol;
    GLfloat PosiSol[4];
};

#endif // ROBMAN_H
