#ifndef TETRAGYRE_H
#define TETRAGYRE_H
#include "visusim.h"

class Tetragyre : public SimScene
{
public:
    Tetragyre();
    void redraw(void);
    void create();
    void setConfig(double *data);
    bool keyConfig(int, bool);


private:
    /*----------------------------------------------------------------------------------*/
    /* Description des objets dessinés (Dysplays Lists OpenGL)                          */
    /*----------------------------------------------------------------------------------*/
    int dimConf;
    int sigsel;
    double sigma[7]; // s1, s2, s3, s3, Rz colonne, Rx Cardan, Ry Cardan
    GLuint Platsup, UnGyro, Colonne, Croix, Suplacet ;
    double axegyrs[4][3], Matgyrs[4][16] ;
    double DeltaA;
};

#endif // TETRAGYRE_H
