#ifndef TEXCUBE_H
#define TEXCUBE_H
#include "visusim.h"

class TexCube : public SimScene
{
public:
    TexCube();
    void redraw(void);
    void create();
    void setConfig(double *data);
    bool keyConfig(int key, bool majuscule);

private:
    GLuint DL_TexCube;
    /*----------------------------------------------------------------------------------*/
    /* Description des objets dessinés (Dysplays Lists OpenGL)                          */
    /*----------------------------------------------------------------------------------*/
    double OA[3]; // X,Y,Z
    double Carol[3] ; // Les angles Cap, assiette roulis en degrés
    bool poscarNok;
    double sitOA44[16];
};

#endif // TEXCUBE_H
