QT += core gui
greaterThan(QT_MAJOR_VERSION, 4): QT += widgets
QT += opengl
win32 {
greaterThan(QT_VERSION, 5.5): LIBS += -lopengl32 -lglu32
}
else {
LIBS += -lGLU
}
QT += network
TARGET = visusims
TEMPLATE = app
OTHER_FILES += \
    contenu.txt \
    sacso/sacso.txt 		\
    glterre/EARTH.BMP

HEADERS += 			\
    visusim.h 			\
    caisse/caisse.h 		\
    tetragyre/tetragyre.h 	\
    rubik/rubik.h 		\
    rubik/glrubicub.h 		\
    sacso/sacso.h 		\
    robman/robman.h 		\
    robman/georobot.h 		\
    robman/glrv80.h 		\
    glterre/glterre.h 		\
    texcube/texcube.h 		\
    mllglutil.h \
    mainwindow.h \
    qtglutils.h \
    pleiade/pleiadegl.h \
    azeq6/azeq6.h \
    azeq6/godialog.h

SOURCES += 			\
    visusim.cpp 		\
    main.cpp 			\
    caisse/caisse.cpp 		\
    tetragyre/tetragyre.cpp \
    tetragyre/gltetragyre.c \
    rubik/rubik.cpp 		\
    sacso/sacso.cpp 		\
    robman/robman.cpp 		\
    robman/glrv80.c 		\
    robman/georobot.c 		\
    pleiade/glpleiade.c 	\
    glterre/glterre.cpp 	\
    texcube/texcube.cpp 	\
    mllglutil.c \
    mainwindow.cpp \
    qtglutils.cpp \
    pleiade/pleiadegl.cpp  \
    azeq6/azeq6.cpp \
    azeq6/godialog.cpp \
    rubik/glrubicub.cpp

FORMS    += mainwindow.ui \
    mainwindow.ui \
    azeq6\godialog.ui

RESOURCES += \
    imgages.qrc
